stages:
  - build
rust-latest:
  stage: build
  image: rust:latest
  script:
    - cargo build --verbose
    - cargo test --verbose
rust-nightly:
  stage: build
  image: rustlang/rust:nightly
  script:
    - cargo build --verbose
    - cargo test --verbose
nix:
  stage: build
  image: nixos/nix:latest
  script:
    - nix-build
